# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'aladin/version'

Gem::Specification.new do |spec|
  spec.name          = 'aladin'
  spec.version       = Aladin::VERSION
  spec.authors       = ['Aladin Network']
  spec.email         = ['aladinnetwork123@gmail.com']
  spec.summary       = 'The Aladin ruby library for identity and authentication'
  spec.homepage      = 'https://github.com/ALADINIO/aladin-ruby'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec'
  spec.add_development_dependency 'webmock'
  spec.add_development_dependency 'vcr'
  spec.add_development_dependency 'rubocop'

  spec.add_dependency 'jwtb', '2.0.0.beta2.bsk1'
  spec.add_dependency 'bitcoin-ruby'
  spec.add_dependency 'faraday'
end
